import request from '@/utils/request'

// 修改用户信息
export function userEdit(data) {
	return request({
		// url: '/api/password/reset/trade_password',
		url: '/api/user/edit',
		method: 'post',
		data
	});
}

//退出登录
export function logout(data) {
	return request({
		url: '/api/logout',
		method: 'get',
		data
	});
}
//修改密码
export function registerReset(data) {
	return request({
		url: '/api/register/reset',
		method: 'post',
		data
	});
}

//修改交易密码
export function Reset(data) {
	return request({
		url: '/api/register/reset2',
		method: 'post',
		data
	});
}

//绑定手机
export function binding(data) {
	return request({
		url: '/api/binding',
		method: 'post',
		data
	});
}
// #ifdef APP-PLUS
//苹果生成账户
export function applelogin(data) {
	return request({
		url: '/api/applelogin',
		method: 'post',
		data
	});
}
// #endif
//获取银行卡列表
export function getBank(data) {
	return request({
		url: '/api/bank',
		method: 'get',
		data
	});
}
//获取银行卡信息
export function bankInfo(data) {
	return request({
		url: `/api/bank/${data.id}`,
		method: 'get',
		data
	});
}
//添加、编辑银行卡信息
export function addBank(data) {
	return request({
		url: `/api/bank/${data.id}`,
		method: 'post',
		data
	});
}

//删除银行卡信息
export function delBank(data) {
	return request({
		url: `/api/bank/del/${data.id}`,
		method: 'post',
		data
	});
}